twitter-conduit-0.3.0: Twitter API package with conduit interface and Streaming API support.

Safe Haskell | None
Language | Haskell2010

Web.Twitter.Conduit.Parameters.TH

# Documentation

defineHasParamClass Source #

Arguments

:: Name |
-> Name |
-> TypeQ |
-> String | parameter name
-> Q [Dec] |

defineHasParamClass' :: String -> String -> Name -> Name -> TypeQ -> String -> Q [Dec] Source #

defineHasParamClassBool :: String -> Q [Dec] Source #

defineHasParamClassDay :: String -> Q [Dec] Source #

defineHasParamClassInteger :: String -> Q [Dec] Source #

defineHasParamClassIntegerArray :: String -> Q [Dec] Source #

defineHasParamClassString :: String -> Q [Dec] Source #

defineHasParamClassStringArray :: String -> Q [Dec] Source #

defineHasParamClassURI :: String -> Q [Dec] Source #

deriveHasParamInstances Source #

Arguments

:: Name | target data type name
-> [String] | parameter name
-> Q [Dec] |